petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsGetReal

Gets the double precision value for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetReal(PetscOptions options,const char pre[],const char name[],PetscReal *dvalue,PetscBool  *set)

Not Collective Many br

### Input Parameters

| options | - options database use NULL for default global database Many br
| pre | - string to prepend to each name or NULL Many br
| name | - the option one is seeking Many br

### Output Parameter

| dvalue | - the double value to return Many br
| set | - PETSC_TRUE if found, PETSC_FALSE if not found Many br

Note: if the option is given but no value is provided then set is given the value PETSC_FALSE Many br

Many br

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(),PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex11.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex54.c.html
src/ksp/ksp/examples/tutorials/ex55.c.html
src/ksp/ksp/examples/tutorials/ex11f.F.html
src/ksp/ksp/examples/tutorials/ex54f.F.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex7.c.html